# Uses of Enum Class
org.apache.sysds.common.Types.OpOp4

Packages that use Types.OpOp4
Package
Description
org.apache.sysds.common
org.apache.sysds.hops

## Uses of Types.OpOp4 in org.apache.sysds.common

Methods in org.apache.sysds.common that return Types.OpOp4
Modifier and Type
Method
Description
`static Types.OpOp4`
Types.OpOp4.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Types.OpOp4[]`
Types.OpOp4.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Types.OpOp4 in org.apache.sysds.hops

Methods in org.apache.sysds.hops that return Types.OpOp4
Modifier and Type
Method
Description
`Types.OpOp4`
QuaternaryOp.`getOp()`
Constructors in org.apache.sysds.hops with parameters of type Types.OpOp4
Modifier
Constructor
Description
``
`QuaternaryOp(String l, Types.DataType dt, Types.ValueType vt, Types.OpOp4 o, Hop inX, Hop inU, Hop inV)`
``
`QuaternaryOp(String l, Types.DataType dt, Types.ValueType vt, Types.OpOp4 o, Hop inX, Hop inU, Hop inV, boolean flag1, boolean flag2)`
Constructor for wsigmoid.
``
`QuaternaryOp(String l, Types.DataType dt, Types.ValueType vt, Types.OpOp4 o, Hop inW, Hop inU, Hop inV, boolean umult, Types.OpOp1 uop, Types.OpOp2 sop)`
``
`QuaternaryOp(String l, Types.DataType dt, Types.ValueType vt, Types.OpOp4 o, Hop inX, Hop inU, Hop inV, Hop inW, boolean post)`
Constructor for wsloss.
``
`QuaternaryOp(String l, Types.DataType dt, Types.ValueType vt, Types.OpOp4 o, Hop inX, Hop inU, Hop inV, Hop inW, int baseType, boolean flag1, boolean flag2)`